Move lanczos filter away from KWin core
ClosedPublic

Authored by zzag on Feb 5 2019, 11:18 PM.

Details

Summary

Lanczos filter shouldn't be in KWin core because it's quite specific about
rendering backend.

Test Plan

Windows in the desktop grid look normal.

Diff Detail

Repository
R108 KWin
Branch
move-lanczos-to-opengl-scene
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 7934
Build 7952: arc lint + arc unit
zzag created this revision.Feb 5 2019, 11:18 PM
Restricted Application added a project: KWin. · View Herald TranscriptFeb 5 2019, 11:18 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
zzag requested review of this revision.Feb 5 2019, 11:18 PM
mart added a subscriber: mart.Feb 6 2019, 9:14 AM

+1 (speaking of lanczos filer, sometimes thumbnails rendered with it seem to be invisible, ca you reproduce that?)

zzag added a comment.Feb 6 2019, 9:19 AM
In D18774#406359, @mart wrote:

speaking of lanczos filer, sometimes thumbnails rendered with it seem to be invisible, ca you reproduce that?

Nope, I can't. Are you talking about thumbnails in the desktop grid?

mart added a comment.Feb 7 2019, 9:30 AM
In D18774#406361, @zzag wrote:
In D18774#406359, @mart wrote:

speaking of lanczos filer, sometimes thumbnails rendered with it seem to be invisible, ca you reproduce that?

Nope, I can't. Are you talking about thumbnails in the desktop grid?

yes, that's the place where sometimes i don't get thumbnails painted if the filter is used

davidedmundson accepted this revision.Feb 7 2019, 3:18 PM
This revision is now accepted and ready to land.Feb 7 2019, 3:18 PM
This revision was automatically updated to reflect the committed changes.